summaryrefslogtreecommitdiffstats
path: root/libraries/tclxml
diff options
context:
space:
mode:
author Juan M. Lasca <juanmlasca@gmail.com>2023-03-29 01:02:53 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-04-01 09:14:10 +0700
commit523a2a1743fbae29dfe60c471c180fd448fc4a60 (patch)
treec4d40fc9f3b90072d0677dafdd9dc7621b385345 /libraries/tclxml
parent25256824966fe8bb75dd412f08f6acf65e47d13e (diff)
downloadslackbuilds-523a2a1743fbae29dfe60c471c180fd448fc4a60.tar.gz
slackbuilds-523a2a1743fbae29dfe60c471c180fd448fc4a60.tar.xz
libraries/tclxml: Added (XML support for Tcl)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries/tclxml')
-rw-r--r--libraries/tclxml/README8
-rw-r--r--libraries/tclxml/slack-desc19
-rw-r--r--libraries/tclxml/tclxml.SlackBuild113
-rw-r--r--libraries/tclxml/tclxml.info10
4 files changed, 150 insertions, 0 deletions
diff --git a/libraries/tclxml/README b/libraries/tclxml/README
new file mode 100644
index 0000000000..422cd0a473
--- /dev/null
+++ b/libraries/tclxml/README
@@ -0,0 +1,8 @@
+TclXML is a package that provides XML parsing for the Tcl
+scripting language. It has two implementations of XML parsers:
+one written purely in Tcl and a wrapper for the Gnome libxml2
+C library.
+
+The TclXML package now incorporates the TclDOM and TclXSLT packages.
+TclDOM and TclXSLT were previously distributed as separate packages.
+The three packages may still be used as if they were standalone.
diff --git a/libraries/tclxml/slack-desc b/libraries/tclxml/slack-desc
new file mode 100644
index 0000000000..645c7832f7
--- /dev/null
+++ b/libraries/tclxml/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+tclxml: tclxml (XML support for Tcl)
+tclxml:
+tclxml: TclXML provides XML support for the Tcl scripting language.
+tclxml: It also provides a DOM API. Integration with libxml2 adds XSLT,
+tclxml: XML Schemas and Relax NG.
+tclxml:
+tclxml:
+tclxml:
+tclxml:
+tclxml: See more at: http://tclxml.sourceforge.net/
+tclxml:
diff --git a/libraries/tclxml/tclxml.SlackBuild b/libraries/tclxml/tclxml.SlackBuild
new file mode 100644
index 0000000000..66383e0ebf
--- /dev/null
+++ b/libraries/tclxml/tclxml.SlackBuild
@@ -0,0 +1,113 @@
+#!/bin/bash
+
+# Slackware build script for tclxml
+
+# Copyright 2023 Juan M. Lasca <juanmlasca@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=tclxml
+VERSION=${VERSION:-3.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE README.html examples doc \
+ $PKG/usr/doc/$PRGNAM-$VERSION;
+
+# correct file perms
+chmod 0644 \
+ $PKG/usr/doc/$PRGNAM-$VERSION/doc/xsltsl/cmp.xsl \
+ $PKG/usr/doc/$PRGNAM-$VERSION/examples/tclxml/REC-xml-20001006.xml
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/libraries/tclxml/tclxml.info b/libraries/tclxml/tclxml.info
new file mode 100644
index 0000000000..ae61a19995
--- /dev/null
+++ b/libraries/tclxml/tclxml.info
@@ -0,0 +1,10 @@
+PRGNAM="tclxml"
+VERSION="3.2"
+HOMEPAGE="https://tclxml.sourceforge.net"
+DOWNLOAD="https://sourceforge.net/projects/tclxml/files/TclXML/3.2/tclxml-3.2.tar.gz"
+MD5SUM="9d1605246c899eff7db591bca3c23200"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Juan M. Lasca"
+EMAIL="juanmlasca@gmail.com"